package jp.jsworld.SpModeMailWatcher;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.CheckBox;

/**
 * インフォメーションを表示するアクティビティです。
 *
 * @version 1.3.0
 * @author jun shiozaki
 *
 *         【ver. 1.3.0 2012/07/28】<br>
 *         ・新規作成
 */
public class InformationActivity extends Activity {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        // レイアウトの読み込み
        setContentView(R.layout.information);

        // チェックボックス設定
        SettingReader sr = new SettingReader(this);
        CheckBox showCheck = (CheckBox) findViewById(R.id.check_info);
        showCheck.setChecked(!sr.getShowInformation());

        // 停止ボタンを処理する。
        Button stopButton = (Button) findViewById(R.id.button_close);
        stopButton.setOnClickListener(new OnClickListener() {

            public void onClick(View v) {
                setConfig();
                finish();
            }
        });
    }

    /**
     * 設定情報を書き込みます。
     */
    private void setConfig() {
        SettingReader sr = new SettingReader(this);

        CheckBox showCheck = (CheckBox) findViewById(R.id.check_info);
        sr.setShowInformation(!showCheck.isChecked());
    }
}
