package jp.jsworld.SpModeMailWatcher;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.Window;
import android.widget.Toast;

/**
 * SPモードメール監視の各種設定を行うメインのアクティビティです。
 *
 * @version 1.3.1
 * @author jun shiozaki
 *
 *         【ver. 1.3.1 2012/07/29】<br>
 *         ・設定画面をメイン画面から切り離しました。
 */
public class MainActivity extends Activity {
    private static final String LOG_TAG = "SpModeMailWatcher";

    //private static final boolean DEBUG_FLG = true;
    private static final boolean DEBUG_FLG = false;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        if (DEBUG_FLG)
            Log.i(LOG_TAG, "********* MainActivity onCreate *********");

        SettingReader sr = new SettingReader(this);

        // タイトルを非表示にする。
        requestWindowFeature(Window.FEATURE_NO_TITLE);

        Intent intent = getIntent();

        // キーを使ってパラメータを取得
        int startmode = intent.getIntExtra( "jp.jsworld.SpModeMailWatcher.startmode", 0);
        if (DEBUG_FLG)
            Log.i(LOG_TAG, ">> StartMode ：" + startmode);

        // スタートモードによって処理を分ける
        switch (startmode) {
        case 0:
            this.startActivity(new Intent(this, SettingActivity.class));
            break;

        case 1:
            // 着信音を鳴らさないように設定
            sr.setNoticeSoundFlag(false);

            // トースト表示
            Toast.makeText(this, "SPモードメール監視の着信音を OFF にしました。",
                    Toast.LENGTH_SHORT).show();
            break;

        case 2:
            // 着信音を鳴らすように設定
            sr.setNoticeSoundFlag(true);

            // トースト表示
            Toast.makeText(this, "SPモードメール監視の着信音を ON にしました。",
                    Toast.LENGTH_SHORT).show();
            break;

        default:
            break;
        }

        // アクティビティを終了する。
        if (DEBUG_FLG)
            Log.i(LOG_TAG, "********* MainActivity finish *********");
        finish();
    }
}